%define uname bv16-floatingpoint

%define major     0
%define libname   %mklibname bv16 %{major}
%define develname %mklibname bv16 -d

%bcond_with tools

Name:           broadvoice16
Summary:        BroadVoice16 floating point codec
Version:        2.1
Release:        %mkrel 1
License:        BSD
Group:          System/Libraries
URL:            https://gitlab.linphone.org/BC/public/external/bv16-floatingpoint
Source0:        https://gitlab.linphone.org/BC/public/external/bv16-floatingpoint/-/archive/%{version}/%{uname}-%{version}.tar.bz2
Patch0:         bv16-set-soversion.patch

BuildRequires:  cmake

%description
BroadVoice16 floating point codec.

%package -n     %{libname}
Summary:        Library for BroadVoice16 codec
Group:          System/Libraries

%description -n %{libname}
bv16 library for BroadVoice16 floating point codec.

%package -n     %{develname}
Summary:        Development files for %{name}
Group:          Development/C
Requires:       %{libname} = %{version}-%{release}
Provides:       bv16-devel = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}

%description -n %{develname}
This package contains development files for %{name}.

%prep
%autosetup -p1 -n %{uname}-%{version}

%build
export CMAKE_POLICY_VERSION_MINIMUM=3.5
%cmake  -DENABLE_STATIC=OFF \
        -DENABLE_TOOLS=%{?with_tools:ON}%{?!with_tools:OFF}
%cmake_build

%install
%cmake_install

%{?with_tools:
%files
%{_bindir}/BroadVoice16 }

%files -n %{libname}
%{_libdir}/libbv16.so.%{major}
%{_libdir}/libbv16.so.%{version}

%files -n %{develname}
%{_includedir}/bv16-floatingpoint/
%{_libdir}/libbv16.so


%changelog
* Mon Jun 23 2025 aurr <aurr> 2.1-1.mga10
+ Revision: 2194187
- imported package broadvoice16

